# Uses of Class
org.apache.qpid.proton.amqp.transport.Transfer

Packages that use Transfer
Package
Description
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.codec.transport
org.apache.qpid.proton.engine.impl

## Uses of Transfer in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return Transfer
Modifier and Type
Method
Description
`Transfer`
Transfer.`copy()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type Transfer
Modifier and Type
Method
Description
`void`
FrameBody.FrameBodyHandler.`handleTransfer(Transfer transfer, Binary payload, E context)`
Constructors in org.apache.qpid.proton.amqp.transport with parameters of type Transfer
Modifier
Constructor
Description
``
`Transfer(Transfer other)`

## Uses of Transfer in org.apache.qpid.proton.codec.transport

Methods in org.apache.qpid.proton.codec.transport that return Transfer
Modifier and Type
Method
Description
`Transfer`
TransferType.`newInstance(Object described)`
`Transfer`
FastPathTransferType.`readValue()`
Methods in org.apache.qpid.proton.codec.transport that return types with arguments of type Transfer
Modifier and Type
Method
Description
`Collection<? extends TypeEncoding<Transfer>>`
FastPathTransferType.`getAllEncodings()`
`TypeEncoding<Transfer>`
FastPathTransferType.`getCanonicalEncoding()`
`TypeEncoding<Transfer>`
FastPathTransferType.`getEncoding(Transfer transfer)`
`Class<Transfer>`
FastPathTransferType.`getTypeClass()`
`Class<Transfer>`
TransferType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.transport with parameters of type Transfer
Modifier and Type
Method
Description
`TypeEncoding<Transfer>`
FastPathTransferType.`getEncoding(Transfer transfer)`
`protected List`
TransferType.`wrap(Transfer val)`
`void`
FastPathTransferType.`write(Transfer value)`
Constructors in org.apache.qpid.proton.codec.transport with parameters of type Transfer
Modifier
Constructor
Description
``
`TransferWrapper(Transfer transfer)`

## Uses of Transfer in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type Transfer
Modifier and Type
Method
Description
`void`
TransportImpl.`handleTransfer(Transfer transfer, Binary payload, Integer channel)`